please quieten down bootmessages

Bug #438680 reported by Oliver Grawert on 2009-09-29
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux-fsl-imx51 (Ubuntu)
Low
Brad Figg
Karmic
Low
Brad Figg

Bug Description

before the booting starts the following messages appear on console with the recent imx51 kernels:

iomux_config_mux: Warning: iomux pin config changed, pin=-83197644, prev=0x1 new=0x3
mxc_dvfs_core_probe: failed to get gp regulator
mxc_cpufreq_driver_init: failed to get gp regulator
mxc_ipu mxc_ipu: Channel already disabled 9
mxc_ipu mxc_ipu: Channel already uninitialized 9
mxc_sdc_fb mxc_sdc_fb.0: fb registered, using mode <NULL>
mxc_sdc_fb mxc_sdc_fb.1: fb registered, using mode <NULL>
mxc_sdc_fb mxc_sdc_fb.2: fb registered, using mode <NULL>
regulator: get() with no identifier
regulator: get() with no identifier
regulator: get() with no identifier
mxci2c_wait_writefifo:wait error
SCC2: Driver Status is OK
udc: request mem region for fsl-usb2-udc failed

since it is not clear yet if we will use usplash on boot on this architecture, it would be nice if the kernel could be as quiet as on all other arches in this stage.

Oliver Grawert (ogra) on 2009-09-29
Changed in linux-fsl-imx51 (Ubuntu Karmic):
milestone: none → ubuntu-9.10
importance: Undecided → Medium
assignee: nobody → Amit Kucheria (amitk)
tags: added: armel
Amit Kucheria (amitk) on 2009-10-02
Changed in linux-fsl-imx51 (Ubuntu Karmic):
importance: Medium → Low
Paul Larson (pwlars) on 2009-10-02
Changed in linux-fsl-imx51 (Ubuntu Karmic):
status: New → Triaged
Oliver Grawert (ogra) wrote :

here is a patch the turns the dev_err messages into dev_dbg messages for mxc_ipu
ogra@babbage2:~/devel/kernel/linux-fsl-imx51-2.6.31$ diff -ruN ../ipu_common.c drivers/mxc/ipu3/ipu_common.c
--- ../ipu_common.c 2009-10-06 13:09:25.491453497 +0200
+++ drivers/mxc/ipu3/ipu_common.c 2009-10-06 13:12:27.891444250 +0200
@@ -631,7 +631,7 @@
  uint32_t ipu_conf;

  if ((g_channel_init_mask & (1L << IPU_CHAN_ID(channel))) == 0) {
- dev_err(g_ipu_dev, "Channel already uninitialized %d\n",
+ dev_dbg(g_ipu_dev, "Channel already uninitialized %d\n",
    IPU_CHAN_ID(channel));
   return;
  }
@@ -643,7 +643,7 @@

  if (idma_is_set(IDMAC_CHA_EN, in_dma) ||
      idma_is_set(IDMAC_CHA_EN, out_dma)) {
- dev_err(g_ipu_dev,
+ dev_dbg(g_ipu_dev,
    "Channel %d is not disabled, disable first\n",
    IPU_CHAN_ID(channel));
   return;
@@ -1503,7 +1503,7 @@
  uint32_t timeout;

  if ((g_channel_enable_mask & (1L << IPU_CHAN_ID(channel))) == 0) {
- dev_err(g_ipu_dev, "Channel already disabled %d\n",
+ dev_dbg(g_ipu_dev, "Channel already disabled %d\n",
    IPU_CHAN_ID(channel));
   return 0;
  }

Oliver Grawert (ogra) wrote :

patch to quieten down the noisy framebuffer mode messages ...

ogra@babbage2:~/devel/kernel/linux-fsl-imx51-2.6.31$ diff -ruN ../mxc_ipuv3_fb.c drivers/video/mxc/mxc_ipuv3_fb.c
--- ../mxc_ipuv3_fb.c 2009-10-06 13:19:14.731453383 +0200
+++ drivers/video/mxc/mxc_ipuv3_fb.c 2009-10-06 13:19:45.841458883 +0200
@@ -990,7 +990,7 @@

  platform_set_drvdata(pdev, fbi);

- dev_err(&pdev->dev, "fb registered, using mode %s\n", fb_mode);
+ dev_dbg(&pdev->dev, "fb registered, using mode %s\n", fb_mode);
  return 0;

 err2:

Oliver Grawert (ogra) wrote :

in drivers/mxc/security/scc2_driver.c line 643 should probably be turned into pr_debug instead of os_printk as well

Oliver Grawert (ogra) wrote :

the regulator messages seem to be more serious, it seems that the MC13892 regulator does not properly hook into the kernel subsystem here.

Oliver Grawert (ogra) wrote :

trying out the testkernel from http://kernel.ubuntu.com/~bradf/linux-image-2.6.31-102-imx51_2.6.31-102.10_armel.deb (which includes the above changes) gets me a boot like below:

iomux_config_mux: Warning: iomux pin config changed, pin=-83197644, prev=0x1 new=0x3
mxc_dvfs_core_probe: failed to get gp regulator
mxc_cpufreq_driver_init: failed to get gp regulator
regulator: get() with no identifier
regulator: get() with no identifier
regulator: get() with no identifier
mxci2c_wait_writefifo:wait error
In fsh_shw_smalloc (km): partition_base:de91c000 partition_base_phys: 1fffc000
writing UMID and MAP to secure the partition
udc: request mem region for fsl-usb2-udc failed

i'll look into quieting down the fsh code a bit too and someone with more clue than i should really look into the regulator code to me it seems the patch using the cpufreq regulator was not properly worked into our kernel and doesnt properly hook into the subsystem here.

Brad Figg (brad-figg) on 2009-10-08
Changed in linux-fsl-imx51 (Ubuntu Karmic):
status: Triaged → In Progress
assignee: Amit Kucheria (amitk) → Brad Figg (brad-figg)
Brad Figg (brad-figg) wrote :

We (the kernel team) have decided to change the default console log level to try to reduce the amount of "noise" during boot. This is being done rather than carry a bunch of patches that modify console messages throughout the kernel. We feel this is a more general solution to the problem.

Changed in linux-fsl-imx51 (Ubuntu Karmic):
status: In Progress → Fix Released
status: Fix Released → Fix Committed
Oliver Grawert (ogra) wrote :

as long as it works with the various ways used to print out messages in the imx51 code, that fine ... i fear though that there might be stuff thats not covered, often KERN_ERR is used where actually debug messages will be spit out.

Loïc Minier (lool) wrote :

Why is this fix committed and not fix released?

Oliver Grawert (ogra) wrote :

with the latest imx51 kernel i still see the noisy SCC2 messages (as mentioned in comment #3 it uses a lot of os_printk() where it probably shouldnt)
i also still see fsck output.
beyond that lowering the loglevel seems to have helped.

Oliver Grawert (ogra) wrote :

the exact screen output is:

SCC2: Driver Status is OK
In fsh_shw_smalloc (km): partition_base:de91c000 partition_base_phys: 1fffc000
writing UMID and MAP to secure the partition
fsck from util-linux-ng 2.16
/dev/sda1: clean, 136858/4915200 files, 833002/19659535 blocks

Brad Figg (brad-figg) on 2009-10-16
Changed in linux-fsl-imx51 (Ubuntu Karmic):
status: Fix Committed → Fix Released
tags: added: iso-testing
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers